Actualizar los nuevos drivers de nvidia

Imagen de Anónimo
+1
0
-1

Hola,

Cuando dices "Una vez todo esté bajado salimos de las X y las matamos", cómo se hace esto? :)

Gracias.

+1
0
-1
Imagen de inwe
+1
0
-1

Bien, hay dos formas:
1.- Bazooka al centro de la pantalla :-P
2.- Con ctrl+alt+delete (o backspace) sale de las X pero vuelve a cargar el gdm, por lo que tendrás que irte a una consola pulsando ctrl+F1 y haces login, luego haz esto:
$ ps -aux | grep gdm, con esto obtendremos cual es el pid del gdm

root      3498  0.0  0.3  9160 2384 ?        Ss   18:11   0:00 /usr/bin/gdm

Y ya tan sólo nos falta por hacer $ sudo kill 3498. Quizás hay a un método de un solo paso pero ese funciona ;-). Y con esto y un bizcocho...

+1
0
-1
Imagen de fromoze
+1
0
-1

sudo killall gdm

o

sudo /etc/init.d/gdm stop

De todos modos, yo lo que haría sería configurar todo bien, y luego reiniciar las X's sin complicarme... por qué no iba a funcionar??

;)

Saludiños!

JID: fromoze@jabberes.org y fromoze@jabber.org

+1
0
-1
Imagen de inwe
+1
0
-1

Ya que el instalador de nvidia te obliga a estar fuera de las X para su instalación, es así de puñetero XDDDD. Un saludo

+1
0
-1
Imagen de pampero76
+1
0
-1

Buenas inwe:
He seguido tus pasos al pie de la letra, pero durante el proceso de instalación me han salido unos cuantos mensajes de error y al final me dice que no se puede instalar.
Te explico el proceso que he seguido:

-(el comando sudo uname -a me dá Linux jose-pc 2.6.8.1-3-amd64-generic #1 Tue Oct 12 11:40:38 UTC 2004 x86_64 GNU/Linux)

$ sudo apt-get install linux-headers-2.6.8.1-3-amd64-generic
al hacer esto me pide que tiene que instalar linux-headers-2.6.8.1-3 le digo que si y se instala sin errores.

-mato las X haciendo $ sudo /etc/init.d/gdm stop
-$ sudo sh NVIDIA-Linux-x86_64-1.0-6629-pkg2.run
Acepto la licencia y tras empezar a actualizar el driver me sale el siguiente error:

Your kernel was configured to incluide rivafb support as a loadable kernel module.
The rivafb driver conflicts with the nvidia driver; the NVIDIA kernel module will still be built and installed, but be aware that the NVIDIA driver will not be able to function properly if the rivafb module is loaded!

Total que le doy a OK (no salía mas opciones)

Continúa y me pregunta si quiero instalar compatibilidad para aplicaciones de 32bits o algo parecid. Le doy a YES.

Y me devuelve el siguiente error:

The runtime configuration check failed for library 'libGL.so.1.0.6629' (expect:'/emul/ia32-linux/usr/lib/libGL.so.1', found:' /usr/lib32/libGL.so.1').

The most likely reason for this is that conflicting OpenGl Libraries are installed in a location not inspect by nvidia-installer. Please be sure you have uninstalled any third-party OpenGL and third-party graphics driver packages.

Y al final de eso:

Error: isntalation has failed. Please see the file /var/log/vndia-installer.log.

En fin, que no sé que es eso de rivafb, si hay que quitarlo y cómo, ni lo de las terceras partes del OpenGL ni como se desinstala.

¿Alguien me echa una manita?

Gracias.

NOTA: he puesto este mismo post en tu diaria, espero no te moleste.

+1
0
-1